Skip to Content
0
Former Member
Nov 14, 2013 at 02:32 PM

SAP netweaver gateway GWPA tool generated supHelper.java syntax errors for SUP2.2 liteUserManager.class

32 Views

Hi,

I followed the steps from blog

http://scn.sap.com/community/netweaver-gateway/blog/2013/06/11/how-to-create-android-application-consuming-odata-service-with-help-of-gateway-productivity-accelerator-gwpa.

Then I started to work with SUP 2.2 SP04 integration. Android version that I am working with is: Android 4.2.2.

So I uncommented the code from loginactivity.java, supHelper.java and then I completed maintaing the SUP details in rmtsampleflightservice.properties file. I followed the steps from this link.

https://help.hana.ondemand.com/gateway_gwpa/frameset.htm?3c3c5a4d9e834eaf927ca3c01807f9ef.html

But I am getting syntax errors in supHelper.java and loginactivity.java.

It is mainly because of SUP version 2,2 SP04. In this version, there is no sup-json.jar.

So auto generated code from GWPA points to liteUserManager.class that is available from sup-json.jar, which is available only SUP 2.1.

So does anyone has the sample code for supHelper.java that can work for SUP2.2? This must use ODPUserManager.class from SUPProxyClient-2.2.jar to register the user on android mobile.

Pls either point me to download sup-json.jar file or any sample code of supHelper.java for SUP 2.2.

Thanks

seenu